* {
    --coul-bord: color-mix(in srgb, var(--noti-fonc) 50%, #FFFFFF 50%);
    --coul-disabled: #DDD;
}

.capi-cham-text {
    height: var(--default-field-height);
    width: 100%;
    max-width: 100%;
    display: flex;
    align-items: center;

    border: var(--default-field-border-size) solid var(--coul-bord, var(--coul-modu));
    border-radius: var(--default-field-border-radius);
    background: #FFFFFF;
}

.capi-cham-text > input[type="text"],
.capi-cham-text > input[type="time"],
.capi-cham-text > input[type="color"],
.capi-cham-text > .capi-cham-data {
    width: 100%;
    max-height: 24px;

    padding: 0;
    margin: 0 6px;
    display: flex;
    flex-grow: 1;
    align-items: center;

    font-size: var(--default-field-font-size);
    font-weight: 500;
    font-family: 'Inter';
    
    outline: none;
    border: none !important;
    background-color: transparent;
    text-overflow: ellipsis;
}

.capi-cham-text > .capi-cham-data {
    margin: 0 4px;
}

.capi-cham-text > input[type="time"] {
    width: 100%;
    display: block;
}

.capi-cham-text > input[type="color"] {
    min-width: var(--default-field-height);
    width: calc(100% - 20px);
    display: flex;
    flex-grow: 1;
    margin: 0 6px 0 2px;
}

.capi-cham-text > input[type="hidden"] {

}

.capi-cham-text:has(input:focus) {
    border-color: var(--noti-fonc);
    outline: 1px solid var(--noti-fonc);
}

.capi-cham-text:has(input:disabled) {
    background-color: var(--coul-disabled);
    border: none;
}

.bout-cham + .capi-cham-text {
    width: calc(100% - 2px - var(--default-field-height));
    max-width: calc(100% - 2px - var(--default-field-height));
}

.capi-cham-zone-text {
    /* height: 100%; */
    
    flex-grow: 1;
    display: flex;
    align-items: center;

    border: var(--default-field-border-size) solid var(--coul-bord, var(--coul-modu));
    border-radius: calc(var(--default-field-border-radius) - 2px);
    background: #FFFFFF;
}

.capi-cham-zone-text > textarea {
    padding: 0;
    margin: 0 4px;
    display: flex;
    flex-grow: 1;
    align-items: center;

    font-size: var(--default-field-font-size);
    font-weight: 500;
    font-family: 'Inter';
    
    outline: none;
    border: none !important;
}

.capi-cham-zone-text:has(textarea:focus) {
    border-color: var(--noti-fonc);
    outline: 1px solid var(--noti-fonc);
}

.capi-cham-zone-text:has(textarea:disabled) {
    border-color: #CCCCCC;
    background-color: #DDD;
}

.capi-cham-date-bout {
    height: var(--default-field-height);

    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-grow: 1;
}